Bug 137512 - [FC2] Tcl's default package path does not include /usr/lib64
[FC2] Tcl's default package path does not include /usr/lib64
Product: Fedora
Classification: Fedora
Component: tcl (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
  Show dependency treegraph
Reported: 2004-10-28 19:11 EDT by Wart
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-09 07:51:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wart 2004-10-28 19:11:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
Tcl searches a set of directories to find installed extensions.  These
extensions are loaded using Tcl's "package require foo" command.  On
FC2-x86_64, /usr/lib64 needs to be part of this default list of
directories.  Currently this is preventing the TclX extension from
being loaded:

# tclsh
% package require Tclx
can't find package Tclx
% lappend auto_path /usr/lib64
% package require Tclx

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start tclsh
2. type "package require Tclx"


Actual Results:  Tclx fails to load with "can't find package Tclx"

Expected Results:  Tclx loads and reports its version "8.3"

Additional info:
Comment 1 Jens Petersen 2004-10-29 01:43:45 EDT
Could you please try with the current tcl in rawhide?
I believe this is fixed there.
Comment 2 Wart 2004-10-29 15:39:58 EDT
You are correct.  This is fixed in rawhide.  Thanks!
Comment 3 Jens Petersen 2004-11-01 06:25:34 EST
Leaving this open for now - for possible fc2 update.

Note You need to log in before you can comment on or make changes to this bug.